## marble

marble — Applies a marbling effect to the image

## Properties

gdouble | amount | Read / Write
gdouble | turbulence | Read / Write
gdouble | x-scale | Read / Write
gdouble | y-scale | Read / Write

## Types and Values

struct | GstMarble

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstMarble

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstMarble

    struct GstMarble;

## Property Details

### The `“amount”` property

      “amount”                   gdouble

Amount of effect.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“turbulence”` property

      “turbulence”               gdouble

Turbulence of the effect.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“x-scale”` property

      “x-scale”                  gdouble

X scale of the texture.

Flags: Read / Write

Allowed values: >= 0

Default value: 4

### The `“y-scale”` property

      “y-scale”                  gdouble

Y scale of the texture.

Flags: Read / Write

Allowed values: >= 0

Default value: 4